/*
 * Copyright (C) Tue May 25 2004 John Watson
 * john@flagrantdisregard.com
 * http://flagrantdisregard.com/headline
 *
 * $Id: AtomBlog.java,v 1.4 2004/06/24 07:31:03 yafd Exp $
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/*
 * Blog that supports the Atom API
 * http://atomenabled.org/developers/api/
 */

// java
import java.awt.Component;
import java.net.*;
import java.io.*;
import javax.swing.*;

// xml
import javax.xml.parsers.*;
import javax.xml.transform.*;
import javax.xml.transform.dom.*;
import javax.xml.transform.stream.*;
import org.w3c.dom.*;
import org.xml.sax.*;

// jedit
import org.gjt.sp.util.Log;

public class AtomBlog extends Blog {
    public AtomBlog(String blogName, String hostName, int port, String endPoint, String username, String password, String api) {
        super(blogName, hostName, port, endPoint, username, password, api);
    }
    
    public String newPost(String content, boolean publish) {
        JOptionPane.showMessageDialog(null, "Not implemented.");
        return(null);
    }
    
    public String editPost(String content, String postId, boolean publish) {
        JOptionPane.showMessageDialog(null, "Not implemented.");
        return(null);
    }
    
    public String deletePost(String postId, boolean publish) {
        JOptionPane.showMessageDialog(null, "Not implemented.");
        return(null);
    }
    
    public String getRecentPosts(int numberofposts) {
        JOptionPane.showMessageDialog(null, "Not implemented.");
        return(null);
    }
}

